AbstractState (gCube File Upload Progress Bar Widget 1.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.widgets.fileupload.client.state

## Class AbstractState

- java.lang.Object
- - org.gcube.portlets.widgets.fileupload.client.state.AbstractState

- Direct Known Subclasses:
    UploadProgressState

      public abstract class AbstractState
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener l)`
    `void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener l)`
    `void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
    `void` | `removePropertyChangeListener(PropertyChangeListener l)`
    `void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener l)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractState

          public AbstractState()

  - ### Method Detail

    - #### addPropertyChangeListener

          public final void addPropertyChangeListener(PropertyChangeListener l)

    - #### addPropertyChangeListener

          public final void addPropertyChangeListener(String propertyName,
                                       PropertyChangeListener l)

    - #### firePropertyChange

          public final void firePropertyChange(String propertyName,
                                Object oldValue,
                                Object newValue)

    - #### removePropertyChangeListener

          public final void removePropertyChangeListener(PropertyChangeListener l)

    - #### removePropertyChangeListener

          public final void removePropertyChangeListener(String propertyName,
                                          PropertyChangeListener l)

Copyright © 2015. All Rights Reserved.